# openttd.h File Reference

Some generic types. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Typedefs
typedef SimpleTinyEnumT < PauseMode, byte > | PauseModeByte
## Enumerations
enum | GameMode { GM_MENU, GM_NORMAL, GM_EDITOR }
| Mode which defines the state of the game. More...
enum | SwitchMode { SM_NONE, SM_NEWGAME, SM_RESTARTGAME, SM_EDITOR, SM_LOAD, SM_MENU, SM_SAVE, SM_GENRANDLAND, SM_LOAD_SCENARIO, SM_START_HEIGHTMAP, SM_LOAD_HEIGHTMAP }
| Mode which defines what mode we're switching to. More...
enum | DisplayOptions { DO_SHOW_TOWN_NAMES = 0, DO_SHOW_STATION_NAMES = 1, DO_SHOW_SIGNS = 2, DO_FULL_ANIMATION = 3, DO_FULL_DETAIL = 5, DO_SHOW_WAYPOINT_NAMES = 6 }
enum | PauseMode { PM_UNPAUSED = 0, PM_PAUSED_NORMAL = 1 << 0, PM_PAUSED_SAVELOAD = 1 << 1, PM_PAUSED_JOIN = 1 << 2, PM_PAUSED_ERROR = 1 << 3, PM_PAUSED_ACTIVE_CLIENTS = 1 << 4, PMB_PAUSED_NETWORK = PM_PAUSED_ACTIVE_CLIENTS | PM_PAUSED_JOIN }
| Modes of pausing we've got. More...
## Functions
void | AskExitGame ()
void | AskExitToGameMenu ()
int | ttd_main (int argc, char *argv[])
void | HandleExitGameRequest ()
## Variables
GameMode | _game_mode
SwitchMode | _switch_mode
| The next mainloop command.
bool | _exit_game
PauseModeByte | _pause_mode
| The current pause mode.

## Detailed Description

Some generic types.

Definition in file openttd.h.

## Enumeration Type Documentation

enum GameMode

Mode which defines the state of the game.

Definition at line 18 of file openttd.h.

enum PauseMode

Modes of pausing we've got.

Enumerator:

  PM_UNPAUSED | A normal unpaused game.
  PM_PAUSED_NORMAL | A game normally paused.
  PM_PAUSED_SAVELOAD | A game paused for saving/loading.
  PM_PAUSED_JOIN | A game paused for 'pause_on_join'.
  PM_PAUSED_ERROR | A game paused because a (critical) error.
  PM_PAUSED_ACTIVE_CLIENTS | A game paused for 'min_active_clients'.

Definition at line 54 of file openttd.h.

enum SwitchMode

Mode which defines what mode we're switching to.

Definition at line 25 of file openttd.h.